Ubuntu

[mi] EQ overflowing. The server is probably stuck in an infinite loop

Reported by TJ on 2010-04-21
126
This bug affects 24 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Symptoms: Jerky mouse with no further response from application windows, keyboard input ignored, CPU running at 100%, hard reboot required.

The message "[mi] EQ overflowing. The server is probably stuck in an infinite loop" appearing in the X server's log (/var/log/Xorg.0.log) is a symptom of a number of other bugs. It is *not* a bug in itself.

*** Unless the backtrace in Xorg.0.log is precisely the same as this one, please POST A NEW BUG REPORT with the backtrace ***

Usually all attempts to regain control of the system locally fail - no switching to the other virtual terminals, no ability to kill the Xserver. Remote connections via SSH usually work but the only way to return the system to a usable state is to force a restart (sudo shutdown -r now).

The symptom has been manifesting itself since 2008 (kernel 2.6.25) at least on many different distributions. It is related to the use of DRI and accelerated 3D graphics.

Turning off Desktop Effects (Compiz) can reduce the incidents but other applications that use OpenGL and EXA (such as Firefox, or games like Unreal Tournament) can trigger it easily.

There is a suggestion that using:

export SDL_VIDEO_X11_DGAMOUSE=0

prior to launching SDL applications will avoid the issue but this doesn't help Firefox.

Other reports:

RedHat https://bugzilla.redhat.com/show_bug.cgi?id=465884

A clear explanation of the report is found in a mailing-list post by Adam Jackson @ RedHat: http://marc.info/?l=fedora-devel-list&m=124101535025331&w=2

" "EQ overflowing" is not a bug, dang it. It's a symptom.

Input events are handled in two places in X. A signal handler reads the
events from the kernel, updates the cursor position, and adds the event
to the queue; and then the main loop drains the event queue, sending
events to clients and possibly updating the cursor image (say, if it
changes from an arrow to a text bar). Since you can't malloc from
signal handlers, the event queue is some fixed (but large) size.

If you run out of space in the event queue, it's because the server is
stuck somewhere away from the main loop. But that's not any one
specific place, that's the entire rest of the X server. You could be
waiting for the hardware to go idle. You could be waiting to acquire
the DRI lock (in DRI1). You could be trying to do some kernel request
that the kernel is taking its sweet time to get around to. _Anything_.
So "EQ overflowing" is not any one particular bug, it's a symptom of
many different bugs."

Extract from /var/log/Xorg.0.log:

Unhandled monitor type 0
disable primary dac
enable primary dac
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3b) [0x80e937b]
1: /usr/bin/X (mieqEnqueue+0x1ab) [0x80e8b6b]
2: /usr/bin/X (xf86PostMotionEventP+0xd2) [0x80c2d02]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x5a6000+0x48a1) [0x5aa8a1]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0x5a6000+0x4b96) [0x5aab96]
5: /usr/bin/X (0x8048000+0x6d5bf) [0x80b55bf]
6: /usr/bin/X (0x8048000+0x122774) [0x816a774]
7: (vdso) (__kernel_sigreturn+0x0) [0x862400]
8: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x4a5000+0xe4c5) [0x4b34c5]
9: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x4a5000+0xe8e9) [0x4b38e9]
10: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x4a5000+0xa7e41) [0x54ce41]
11: /usr/lib/xorg/modules/libexa.so (0xe5f000+0xc78d) [0xe6b78d]
12: /usr/lib/xorg/modules/libexa.so (0xe5f000+0xd498) [0xe6c498]
13: /usr/bin/X (0x8048000+0xd892b) [0x812092b]
14: /usr/bin/X (CompositePicture+0x298) [0x8113c58]
15: /usr/lib/xorg/modules/libexa.so (0xe5f000+0xc224) [0xe6b224]
16: /usr/bin/X (CompositeTrapezoids+0x9e) [0x811392e]
17: /usr/bin/X (0x8048000+0xd4563) [0x811c563]
18: /usr/bin/X (0x8048000+0xcea03) [0x8116a03]
19: /usr/bin/X (0x8048000+0x2a477) [0x8072477]
20: /usr/bin/X (0x8048000+0x1ed7a) [0x8066d7a]
21: /lib/tls/i686/cmov/libc.so.6 (__libc_start_main+0xe6) [0x1c8bd6]
22: /usr/bin/X (0x8048000+0x1e961) [0x8066961]

TJ (tj) wrote :
affects: ubuntu → xorg-server (Ubuntu)
Bryce Harrington (bryce) on 2010-04-22
tags: added: lucid
Ilja Pavkovic (ipavkovic) wrote :

same for me on a thinkpad z61m with ati x1400. Also in the /var/log/kern.log I found:

Apr 23 14:46:14 kernel: [14027.034653] process `skype' is using obsolete setsockopt SO_BSDCOMPAT
Apr 23 14:57:12 kernel: [14685.638506] Uhhuh. NMI received for unknown reason a1 on CPU 0.
Apr 23 14:57:13 kernel: [14685.638511] You have some hardware problem, likely on the PCI bus.
Apr 23 14:57:13 kernel: [14685.638513] Dazed and confused, but trying to continue

may or may not be related.

TJ (tj) wrote :

Ilja, the NMI issue is a different one. You should report that separately against "linux" since it is likely an issue with the kernel (I'll take a guess there's an Atheros WiFi adaptor?). Create that report from a terminal shell using:

ubuntu-bug linux

And when you've been logged into Launchpad set the title of the bug to "NMI received for unknown reason a1 on CPU 0". Then add to the top of the bug description the symptom report:

Apr 23 14:57:12 kernel: [14685.638506] Uhhuh. NMI received for unknown reason a1 on CPU 0.
Apr 23 14:57:13 kernel: [14685.638511] You have some hardware problem, likely on the PCI bus.
Apr 23 14:57:13 kernel: [14685.638513] Dazed and confused, but trying to continue may or may not be related.

TJ (tj) on 2010-04-24
Changed in xorg-server (Ubuntu):
assignee: nobody → TJ (intuitivenipple)
status: New → In Progress
importance: Undecided → Medium
Oded Ben Ozer (odead) wrote :

I don't know if the NMI issue is related, but have it too I get
"[mi] EQ overflowing. The server is probably stuck in an infinite loop." on Xorg.log and
"Uhhuh. NMI received for unknown reason a1 on CPU 0" on kern.log ,both of them happen at exactly the same time.
the X stops responding (except the mouse currser which moves slowly) and I can't switch to virtual terminals.
I'm working on a Thinkpad T60 with ATI Technologies Inc M52 [Mobility Radeon X1300]

Ilja Pavkovic (ipavkovic) wrote :

TJ, the same crash happened again, had to REISUB my system and again found both entries in the log files (NMI issue and EQ overflowing) within the last 5 minutes. That somehow relates.

Bryce Harrington (bryce) on 2010-05-21
tags: added: hardy

I too am seeing the very same symptoms, it's happened several times. Machine is a Thinkpad T60 with Radeon Mobility X1400. I have KMS turned off with a kernel option because it was causing a lot of problems.

Xorg.0.log contained "[mi] EQ overflowing. The server is probably stuck in an infinite loop." and a stack trace implicating radeon_drv.so and libglx.so. Next time it happens I'll make sure to keep a copy of the stack trace.

Also syslog contains:
May 30 20:36:30 jarvis kernel: [60546.074216] Uhhuh. NMI received for unknown reason b0 on CPU 0.
May 30 20:36:30 jarvis kernel: [60546.074222] You have some hardware problem, likely on the PCI bus.
May 30 20:36:30 jarvis kernel: [60546.074225] Dazed and confused, but trying to continue

Seems to happen after a day or so of use, possibly always after a suspend/resume. Suddenly the pointer goes slow and no input works, not even the likes of ctrl-alt-delete nor ctrl-alt-f1. Since GLX is implicated I'm trying turning off compositing to see if it happens again.

Alexey Spiridonov (snarkmaster) wrote :

My symptoms match Barney's exactly: slow mouse, usually happens after suspend, CPU pegged. Alt-SysRq works to reboot, so it's definitely just the X server getting stuck. It's not a hard kernel crash.

I have an ATI Mobiliy M300 on a Dell Inspiron 6000.

Here's a backtrace?

(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): Added native panel mode: 1920x1200
(II) RADEON(0): Output: S-video, Detected Monitor Type: 0
disable LVDS
disable LVDS
enable LVDS
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3b) [0x80e937b]
1: /usr/bin/X (mieqEnqueue+0x1ab) [0x80e8b6b]
2: /usr/bin/X (xf86PostMotionEventP+0xd2) [0x80c2d02]
3: /usr/bin/X (xf86PostMotionEvent+0x68) [0x80c2e88]
4: /usr/lib/xorg/modules/input/synaptics_drv.so (0x350000+0x3603) [0x353603]
5: /usr/lib/xorg/modules/input/synaptics_drv.so (0x350000+0x5e3d) [0x355e3d]
6: /usr/bin/X (0x8048000+0x6d5bf) [0x80b55bf]
7: /usr/bin/X (0x8048000+0x122744) [0x816a744]
8: (vdso) (__kernel_sigreturn+0x0) [0xe42400]
9: /lib/libdrm.so.2 (drmCommandNone+0x32) [0xd1b162]
10: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x224000+0xa240c) [0x2c640c]
11: /usr/lib/xorg/modules/libexa.so (0x9d9000+0x47f8) [0x9dd7f8]
12: /usr/lib/xorg/modules/libexa.so (0x9d9000+0x4da6) [0x9ddda6]
13: /usr/lib/xorg/modules/libexa.so (0x9d9000+0x4ef3) [0x9ddef3]
14: /usr/lib/xorg/modules/libexa.so (exaMoveOutPixmap+0x48) [0x9db298]
15: /usr/lib/xorg/modules/libexa.so (0x9d9000+0x44f1) [0x9dd4f1]
16: /usr/lib/xorg/modules/libexa.so (0x9d9000+0xb09e) [0x9e409e]
17: /usr/lib/xorg/modules/libexa.so (exaOffscreenAlloc+0x2c4) [0x9e4a04]
18: /usr/lib/xorg/modules/libexa.so (0x9d9000+0x4cc4) [0x9ddcc4]
19: /usr/lib/xorg/modules/libexa.so (0x9d9000+0x55ea) [0x9de5ea]
20: /usr/lib/xorg/modules/libexa.so (0x9d9000+0x2369) [0x9db369]
21: /usr/lib/xorg/modules/libexa.so (0x9d9000+0xa2c7) [0x9e32c7]
22: /usr/lib/xorg/modules/libexa.so (0x9d9000+0xa8ca) [0x9e38ca]
23: /usr/bin/X (0x8048000+0xd8bb8) [0x8120bb8]
24: /usr/bin/X (CompositeGlyphs+0xa5) [0x81b9a25]
25: /usr/bin/X (0x8048000+0xd2cbf) [0x811acbf]
26: /usr/bin/X (0x8048000+0xce9d3) [0x81169d3]
27: /usr/bin/X (0x8048000+0x2a477) [0x8072477]
28: /usr/bin/X (0x8048000+0x1ed7a) [0x8066d7a]
29: /lib/tls/i686/cmov/libc.so.6 (__libc_start_main+0xe6) [0x652bd6]
30: /usr/bin/X (0x8048000+0x1e961) [0x8066961]

mia1dolfan (mia1dolfan) wrote :

Similar issue here on Compaq nc6230, Radeon Mobility X300 (radeon driver). Xserver freezes up, cursor usually moves jerky, CPU goes up to 100%, sometimes the CPU stays low and cursor moves normal. The no keyboard / mouse response followed by the backtrace in Xorg is always consistent. If I ssh in remotely I always see "[mi] EQ overflowing. The server is probably stuck in an infinite loop." followed by the backtrace. Gnome, Compiz w/ Emerald, console frame buffer disabled due to performance issue with Compiz (nomodeset kernel option). Occurred once or twice a day, randomly.

I was forced to downgrade the Xserver / kernel to the 9.10 version, my system has been stable since then. I need to keep a close eye this bug, I will not upgrade to 10.10 until this Xserver issue is resolved.

Thank you.

vale61 (vcolosso) wrote :
Download full text (18.2 KiB)

I have the same problem with 10.04 AMD64 and nvidia, both using proprietary and open source graphic card driver.
Mousepad still (usually) moves, but keyboard ctrl+alt+backspace doesn't reset X11, Ctrl+Fx doesn't go to console.

Usually i get it while using Firefox...

In var\log\messages I find the following lines...

Aug 26 10:28:15 Tpol rsyslogd: [origin software="rsyslogd" swVersion="4.2.0" x-pid="768" x-info="http://www.rsyslog.com"] rsyslogd was HUPed, type 'lightweight'.
Aug 26 10:34:58 Tpol kernel: [ 1119.860721] atkbd.c: Unknown key pressed (translated set 2, code 0xf3 on isa0060/serio0).
Aug 26 10:34:58 Tpol kernel: [ 1119.860724] atkbd.c: Use 'setkeycodes e073 <keycode>' to make it known.
Aug 26 10:34:58 Tpol kernel: [ 1119.867914] atkbd.c: Unknown key released (translated set 2, code 0xf3 on isa0060/serio0).
Aug 26 10:34:58 Tpol kernel: [ 1119.867917] atkbd.c: Use 'setkeycodes e073 <keycode>' to make it known.
Aug 26 10:35:48 Tpol kernel: [ 1169.557789] atkbd.c: Unknown key pressed (translated set 2, code 0xf3 on isa0060/serio0).
Aug 26 10:35:48 Tpol kernel: [ 1169.557793] atkbd.c: Use 'setkeycodes e073 <keycode>' to make it known.
Aug 26 10:35:48 Tpol kernel: [ 1169.566028] atkbd.c: Unknown key released (translated set 2, code 0xf3 on isa0060/serio0).
Aug 26 10:35:48 Tpol kernel: [ 1169.566030] atkbd.c: Use 'setkeycodes e073 <keycode>' to make it known.

This is is my X11 log file

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-27-xen x86_64 Ubuntu
Current Operating System: Linux Tpol 2.6.32-24-generic #41-Ubuntu SMP Thu Aug 19 01:38:40 UTC 2010 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=2d83c90c-166b-481c-a9c2-e5b2114dff6e ro quiet splash
Build Date: 21 April 2010 07:09:03PM
xorg-server 2:1.7.6-2ubuntu8~lp539772 (Bryce Harrington <email address hidden>)
Current version of pixman: 0.16.4
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Wed Aug 25 12:05:36 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using config directory: "/usr/lib/X11/xorg.conf.d"
(==) No Layout section. Using the first Screen section.
(**) |-->Screen "Default Screen" (0)
(**) | |-->Monitor "<default monitor>"
(==) No device specified for screen "Default Screen".
 Using the first device section listed.
(**) | |-->Device "Default Device"
(==) No monitor specified for screen "Default Screen".
 Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
 Entry deleted from font path.
(==) FontPath set to:
 /usr/share/fonts/X11/misc,
 /usr/share/fonts/X11/100dpi/:unscaled,
 /usr/share/fonts/X11/75dpi/:unscaled,
 /usr/share/fonts/X11/Type1,
 /usr/share/fonts/X11/100dpi,
 /usr/share/fonts/X11/75dpi,
 /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
 bu...

Bogdan (bogdan-veringioiu) wrote :

I am affected by this bug too:
here's the error:
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3b) [0x80e938b]
1: /usr/bin/X (mieqEnqueue+0x1ab) [0x80e8b7b]
2: /usr/bin/X (xf86PostMotionEventP+0xd2) [0x80c2d12]
3: /usr/bin/X (xf86PostMotionEvent+0x68) [0x80c2e98]
4: /usr/lib/xorg/modules/input/synaptics_drv.so (0xf97000+0x3603) [0xf9a603]
5: /usr/lib/xorg/modules/input/synaptics_drv.so (0xf97000+0x5e3d) [0xf9ce3d]
6: /usr/bin/X (0x8048000+0x6d5cf) [0x80b55cf]
7: /usr/bin/X (0x8048000+0x122754) [0x816a754]
8: (vdso) (__kernel_sigreturn+0x0) [0x858400]
9: /usr/lib/libpixman-1.so.0 (0x39a000+0x4cf10) [0x3e6f10]
10: /usr/lib/libpixman-1.so.0 (0x39a000+0x147e3) [0x3ae7e3]
11: /usr/lib/libpixman-1.so.0 (pixman_blt+0x78) [0x3d41e8]
12: /usr/lib/xorg/modules/libfb.so (fbCopyNtoN+0x24d) [0xcf905d]
13: /usr/lib/xorg/modules/drivers/intel_drv.so (0x5af000+0x5da39) [0x60ca39]
14: /usr/bin/X (miCopyRegion+0x21b) [0x819ca9b]
15: /usr/bin/X (miDoCopy+0x44d) [0x819cfbd]
16: /usr/lib/xorg/modules/drivers/intel_drv.so (0x5af000+0x5d288) [0x60c288]
17: /usr/bin/X (0x8048000+0xda983) [0x8122983]
18: /usr/bin/X (0x8048000+0x28df5) [0x8070df5]
19: /usr/bin/X (0x8048000+0x2a477) [0x8072477]

mia1dolfan (mia1dolfan) wrote :

Can anyone confirm if this bug is resolved Ubuntu 10.10?

Jakub 'Baku' Svoboda (baku) wrote :

I have the same problem with fresh installation of Lucid and in my case it is caused probably by the DRI.
I have ATI Radeon X1950Pro AGP card and I'm using 'radeon' open source driver. When I turn off DRI in xorg.conf, everything is fine, but video playback is extremely slow, because I cant use Xv acceleration without DRI. When I turn DRI on, X server freezes on login screen. I also can't use KMS, because with KMS on I see only garbled stripes on screen. I tried several combinations in Xorg.conf and anytime I turned on DRI the Xserver freezed at startup. I tried stable xserver-xorg-video-ati package and also the latest PPA directly from GIT (currently 1:6.13.99+git20100903.2b98ec1f-0u). I spent almost two days with this annoying bug and I have functional Lucid, but I can't watch movies. This is very upleasable experience, because I finaly decided to move from Windows to Linux/Ubuntu and now I have to turn back.
In attachment is my Xorg configuration and log file.

Bernhard (baumber) wrote :

The problem affects me too, on 10.04 (64bit) and fglrx.

Xorg.0.log: after suspend, sometimes => freeze of keyboard and mouse

(II) AIGLX: Resuming AIGLX clients after VT switch
(II) fglrx(0): Suspend/Resume detected. Restoring framebuffer data.
(II) fglrx(0): Restore complete.
(II) fglrx(0): UVD2 feature is available
(II) fglrx(0): User Preference Output CRT2 using refresh rate 75.0 Hz.
(II) Power Button: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Logitech USB Receiver: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) CHESEN PS2 to USB Converter: Device reopened after 1 attempts.
(II) CHESEN PS2 to USB Converter: Device reopened after 1 attempts.
(II) fglrx(0): Hot-plug event occurs on device: 1:0:0
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x28) [0x4a3258]
1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a2ad4]
2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x47ceb4]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f66fff4d000+0x53cf) [0x7f66fff523cf]
4: /usr/bin/X (0x400000+0x6fcb7) [0x46fcb7]
5: /usr/bin/X (0x400000+0x11d1d3) [0x51d1d3]
6: /lib/libpthread.so.0 (0x7f67093fb000+0xf8f0) [0x7f670940a8f0]
7: /lib/libc.so.6 (ioctl+0x7) [0x7f67081b2187]
8: /usr/lib/fglrx/libatiuki.so.1 (ukiGetLock+0x7b) [0x7f6705bc08bb]
9: /usr/lib/xorg/extra-modules/modules/drivers/fglrx_drv.so (swlDriLock+0x80) [0x7f6706062260]
10: /usr/lib/xorg/extra-modules/modules/drivers/fglrx_drv.so (swlDriDoWakeupHandler+0x40) [0x7f6706061790]
11: /usr/lib/xorg/extra-modules/modules/drivers/fglrx_drv.so (0x7f6705dd3000+0x27a62a) [0x7f670604d62a]
12: /usr/lib/xorg/extra-modules/modules/drivers/fglrx_drv.so (swlDriWakeupHandler+0x74) [0x7f67060616c4]
13: /usr/bin/X (WakeupHandler+0x4b) [0x435f2b]
14: /usr/bin/X (WaitForSomething+0x1d7) [0x45f9a7]
15: /usr/bin/X (0x400000+0x30952) [0x430952]
16: /usr/bin/X (0x400000+0x261aa) [0x4261aa]
17: /lib/libc.so.6 (__libc_start_main+0xfd) [0x7f67080f2c4d]
18: /usr/bin/X (0x400000+0x25d59) [0x425d59]

This probably isn't going to be fixed any time soon by Ubuntu in 10.04,
because so little people report this bug, compared to other bugs. The best
thing to hope for is that the xorg server team solved the issue for the
repackaging of 10.10, that can be downloaded now.

I am facing a similar problem. I bought an ASUS 20" monitor a few days back and this problem started creeping in on my system. before this, it wasn't an issue. It happens 4-5 times in an hour for me though. I just can't get any work done on my laptop :(. The only way out is I have to hard power-off. Also, i could easily SSH into my system from another machine. the following is my Xorg log:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3b) [0x80e938b]
1: /usr/bin/X (mieqEnqueue+0x1ab) [0x80e8b7b]
2: /usr/bin/X (xf86PostMotionEventP+0xd2) [0x80c2d12]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x677000+0x48a1) [0x67b8a1]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0x677000+0x4b96) [0x67bb96]
5: /usr/bin/X (0x8048000+0x6d5cf) [0x80b55cf]
6: /usr/bin/X (0x8048000+0x122754) [0x816a754]
7: (vdso) (__kernel_sigreturn+0x0) [0xbeb400]
8: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x9fa000+0xe525) [0xa08525]
9: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x9fa000+0xe949) [0xa08949]
10: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x9fa000+0xaa79d) [0xaa479d]
11: /usr/lib/xorg/modules/libexa.so (0x17b000+0xcc91) [0x187c91]
12: /usr/lib/xorg/modules/libexa.so (0x17b000+0xe302) [0x189302]
13: /usr/lib/xorg/modules/libexa.so (0x17b000+0xacad) [0x185cad]
14: /usr/bin/X (0x8048000+0xd8bc8) [0x8120bc8]
15: /usr/bin/X (CompositeGlyphs+0xa5) [0x81b9a35]
16: /usr/bin/X (0x8048000+0xd2ccf) [0x811accf]
17: /usr/bin/X (0x8048000+0xce9e3) [0x81169e3]
18: /usr/bin/X (0x8048000+0x2a477) [0x8072477]
19: /usr/bin/X (0x8048000+0x1ed7a) [0x8066d7a]
20: /lib/tls/i686/cmov/libc.so.6 (__libc_start_main+0xe6) [0x798bd6]
21: /usr/bin/X (0x8048000+0x1e961) [0x8066961]

Download full text (15.2 KiB)

Same problem here.

The Xorg.0.log:

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-27-server i686 Ubuntu
Current Operating System: Linux nuuk 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17 20:26:08 UTC 2010 i686
Kernel command line: root=/dev/mapper/nuuk-nuuk ro quiet splash
Build Date: 21 July 2010 12:47:34PM
xorg-server 2:1.7.6-2ubuntu7.3 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.16.4
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Sep 28 18:46:44 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using config directory: "/usr/lib/X11/xorg.conf.d"
(==) ServerLayout "Layout0"
(**) |-->Screen "Screen0" (0)
(**) | |-->Monitor "Monitor0"
(**) | |-->Device "Device0"
(**) Option "Xinerama" "0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
        Entry deleted from font path.
(==) FontPath set to:
        /usr/share/fonts/X11/misc,
        /usr/share/fonts/X11/100dpi/:unscaled,
        /usr/share/fonts/X11/75dpi/:unscaled,
        /usr/share/fonts/X11/Type1,
        /usr/share/fonts/X11/100dpi,
        /usr/share/fonts/X11/75dpi,
        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
        built-ins
(==) ModulePath set to "/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x81f0e80
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.4
        X.Org Video Driver: 6.0
        X.Org XInput driver : 7.0
        X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:1:0:0) 10de:05e3:10de:065b nVidia Corporation GT200b [GeForce GTX 285] rev 161, Mem @ 0xec000000/16777216, 0xd0000000/268435456, 0xea000000/33554432, I/O @ 0x0000df00/128, BIOS @ 0x????????/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded by default.
(II) "dri" will be loaded by default.
(II) "dri2" will be loaded by default.
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundat...

Note that this doesn't seem to be radeon specific : there are now already two reports with nvidia gfx cards as well

mia1dolfan (mia1dolfan) wrote :

I upgraded to 10.10 yesterday, so far no problem, but it's too soon to say if it was resolved upstream, since this a intermediate issue, but I have my fingers crossed. It is a good omen that no one has posted the problem on 10.10, since as we all know most users simply forget about the bug report when the issue is resolved for them.

From the xorg forums, "[mi] EQ overflowing. The server is probably stuck in an infinite loop." is a symptom and not the problem. The actual problems could be various depending on the hardware / drivers / and configuration.

Finally solved.
I have tested folowing drivers:
nvidia-current
nv,
nouveau,
nvidia closed:
NVIDIA-Linux-x86-173.14.25-pkg1.run
NVIDIA-Linux-x86-195.36.15-pkg1.run
NVIDIA-Linux-x86-195.36.24-pkg1.run
NVIDIA-Linux-x86-195.36.31-pkg1.run
NVIDIA-Linux-x86-256.53.run
NVIDIA-Linux-x86-260.19.04.run
with all these drivers I experienced minor ( artifacts only, artifacts and X crash ) or major problems ( crash of Xserver before login to gnome ).
I was lucky to get frequent traces in logs - minor crashes starts with the following statement in Xorg.0.log
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
2 Weeks lost, with approx 50 X crashes. Linux are you Windows ME clone?
IT IS NOT ANY DRIVER FAULT!
The problem was solved by downgrading gdm package
from: 2.30.2.is.2.30.0-0ubuntu3
to: gdm 2.30.0-0ubuntu5
The last one is a good one!
BEWARE OF gdm 2.30.2.is.2.30.0-0ubuntu3 !!! Ticking Time bomb!
Best regards,
Tomasz

Minfang Tao (tmfjob) wrote :

T510

The same bug

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x28) [0x4a3258]
1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a2ad4]
2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x47ceb4]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fe44b604000+0x53cf) [0x7fe44b6093cf]
4: /usr/bin/X (0x400000+0x6fcb7) [0x46fcb7]
5: /usr/bin/X (0x400000+0x11d1d3) [0x51d1d3]
6: /lib/libpthread.so.0 (0x7fe450723000+0xf8f0) [0x7fe4507328f0]
7: /lib/libc.so.6 (ioctl+0x7) [0x7fe44f4da187]
8: /lib/libdrm.so.2 (drmIoctl+0x28) [0x7fe44da8b5b8]
9: /lib/libdrm.so.2 (drmCommandWrite+0x1b) [0x7fe44da8b83b]
10: /lib/libdrm_nouveau.so.1 (0x7fe44d44d000+0x2f7d) [0x7fe44d44ff7d]
11: /lib/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfc) [0x7fe44d4501bc]
12: /lib/libdrm_nouveau.so.1 (0x7fe44d44d000+0x2166) [0x7fe44d44f166]
13: /lib/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x29c) [0x7fe44d44f4fc]
14: /usr/lib/xorg/modules/libexa.so (0x7fe44c5a8000+0x9555) [0x7fe44c5b1555]
15: /usr/lib/xorg/modules/libexa.so (0x7fe44c5a8000+0xa0ea) [0x7fe44c5b20ea]
16: /usr/bin/X (0x400000+0xd8a5b) [0x4d8a5b]
17: /usr/bin/X (0x400000+0x2ebb4) [0x42ebb4]
18: /usr/bin/X (0x400000+0x30c3c) [0x430c3c]

How to downgrading to gdm 2.30.0-0ubuntu5 ?

I am using 2.30.2.is.2.30.0-0ubuntu4 now

islandlinux (islandlinux) wrote :
Download full text (49.6 KiB)

I am running gdm 2.30.0-0ubuntu5 and the crashes still occur 2-3 times a day with a "nVidia Corporation GT218 [GeForce 210] (rev a2)" card running a dual monitor setup. Driver is nouveau.

Xorg.0.log output:

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-27-server i686 Ubuntu
Current Operating System: Linux comp-ncix-20100920 2.6.32-24-generic #43-Ubuntu SMP Thu Sep 16 14:17:33 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.32-24-generic root=UUID=7c1fd1cc-795f-4ad9-9707-0a2e75647bae ro quiet splash
Build Date: 21 July 2010 12:47:34PM
xorg-server 2:1.7.6-2ubuntu7.3 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.16.4
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Oct 18 08:29:40 2010
(==) Using config directory: "/usr/lib/X11/xorg.conf.d"
(==) No Layout section. Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) | |-->Monitor "<default monitor>"
(==) No monitor specified for screen "Default Screen Section".
 Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
 Entry deleted from font path.
(==) FontPath set to:
 /usr/share/fonts/X11/misc,
 /usr/share/fonts/X11/100dpi/:unscaled,
 /usr/share/fonts/X11/75dpi/:unscaled,
 /usr/share/fonts/X11/Type1,
 /usr/share/fonts/X11/100dpi,
 /usr/share/fonts/X11/75dpi,
 /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
 built-ins
(==) ModulePath set to "/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
 If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x81f0e80
(II) Module ABI versions:
 X.Org ANSI C Emulation: 0.4
 X.Org Video Driver: 6.0
 X.Org XInput driver : 7.0
 X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:1:0:0) 10de:0a65:1458:34d5 nVidia Corporation GT218 [GeForce 210] rev 162, Mem @ 0xfd000000/16777216, 0xd0000000/268435456, 0xce000000/33554432, I/O @ 0x0000dc00/128, BIOS @ 0x????????/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
 compiled for 1.7.6, module version = 1.0.0
 Module class: X.Org Server Extension
 ABI class: X.Org Server Extension, version 2.0
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: ...

I am sorry but downgrading to gdm 2.30.0-0ubuntu5 didn't resolve the problem. The error is still present.
My case most likely is following :
1. the bug occurs -> [mi] EQ overflowing. The server is probably stuck in an infinite loop.
2. overheating of nVidia Corporation G86 [GeForce 8600M GS] (rev a1)
3. crash of X or whole Linux
The GPU usage is important - Dual screen and high resultions are the reasons of more frequent overheating and crashes.

Minfang Tao (tmfjob) wrote :

I downgraded to gdm 2.30.0-0ubuntu5 Still crash

In the following situation, the system crash in 2 minutes:

Restart computer and open Firefox to visit Google documentation.

If I run other program first like Eclips or VirtualBox ... and then run Firefox to visit Good Document, the frequency of Crashing is the same as the before.

After the crashing (can move mouse, but no any responds), I can login from ssh and kill X server, but the system is not stable after I did it.

TJ (tj) on 2011-01-13
Changed in xorg-server (Ubuntu):
assignee: TJ (intuitivenipple) → nobody
status: In Progress → Confirmed
Frank Piper (fpiper) wrote :

Lucid/10.04. Also seeing this issue. When System/Prefs/Appearance/Visual Effects set to anything other than None, system fails within an hour or so:
- Mouse delayed/slow response; system otherwise unresponsive.
- Xorg gets wedged and goes to 100% CPU.
- Xorg log contains "EQ overflowing. The server is probably stuck in an infinite loop."
- kern.log contains "Uhhuh. NMI received for unknown reason a1 on CPU 0"

Backtrace & whatnot on request.

Recovery: SSH in and reboot, or do the alt-PrtSc-R,E,I,S,U,B shuffle.

T60, X1400, Lucid 10.04 with all patches up to date, 2.6.32-27-generic, vanilla /etc/default/grub. Desktop extended onto an external monitor using xrandr.

Workaround: set System/Prefs/Appearance/Visual Effects to None... with this setting system is rock-solid (but boring).

Thanks for any help/ideas/suggestions.

Tx for

Kendall Gifford (zettabyte) wrote :

Add me to the list: Ubuntu Desktop 10.10 64-bit
Dell Vostro 220 (Intel Core 2 Duo E7500 w/Intel Chipset MB)
- built-in Intel graphics adapter (disabled)
- installed GeForce 8400 GS (DVI and VGA output)
- using the nouveau driver w/nvidia card w/dual-headed display

When my "system" freezes, the mouse still moves fine (isn't slow) but all mouse and keyboard input is ignored (including CTRL+ALT Backspace, CTRL+ALT Fx, etc.). The display is frozen except that the mouse cursor can be moved around.

I *DO NOT* have any of the "NMI" messages that others have reported in any of my log files. Also, I've never suspended my system so there is no correlation with others who seem to have this issue after a suspend.

My system will usually run for server hours at a time just fine but is still guaranteed to have this issue eventually. The crash/freeze has always happened while viewing/editing a company wiki page in Firefox (probably just a statistical coincidence) and running a Window XP virtual guest (using qemu-kvm and libvirt).

Here's the moment of freeze in my Xorg.0.log:

[ 12056.181] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 12056.181]
Backtrace:
[ 12056.436] 0: /usr/bin/X (xorg_backtrace+0x28) [0x45c5a8]
[ 12056.436] 1: /usr/bin/X (mieqEnqueue+0x1f4) [0x458ea4]
[ 12056.436] 2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x488d74]
[ 12056.436] 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fd346d1e000+0x5319) [0x7fd346d23319]
[ 12056.437] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fd346d1e000+0x5a0e) [0x7fd346d23a0e]
[ 12056.437] 5: /usr/bin/X (0x400000+0x6d4e7) [0x46d4e7]
[ 12056.437] 6: /usr/bin/X (0x400000+0x1161a3) [0x5161a3]
[ 12056.437] 7: /lib/libpthread.so.0 (0x7fd34c17a000+0xfb40) [0x7fd34c189b40]
[ 12056.437] 8: /lib/libc.so.6 (ioctl+0x7) [0x7fd34b1a5467]
[ 12056.448] 9: /lib/libdrm.so.2 (drmIoctl+0x28) [0x7fd3497540a8]
[ 12056.448] 10: /lib/libdrm.so.2 (drmCommandWrite+0x1b) [0x7fd34975432b]
[ 12056.449] 11: /lib/libdrm_nouveau.so.1 (0x7fd349116000+0x2a9d) [0x7fd349118a9d]
[ 12056.449] 12: /lib/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xff) [0x7fd349118c8f]
[ 12056.449] 13: /lib/libdrm_nouveau.so.1 (0x7fd349116000+0x1d1a) [0x7fd349117d1a]
[ 12056.449] 14: /lib/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x190) [0x7fd3491180f0]
[ 12056.449] 15: /usr/lib/xorg/modules/libexa.so (0x7fd34826e000+0x9c95) [0x7fd348277c95]
[ 12056.449] 16: /usr/lib/xorg/modules/libexa.so (0x7fd34826e000+0xaee1) [0x7fd348278ee1]
[ 12056.449] 17: /usr/bin/X (0x400000+0xdd0ad) [0x4dd0ad]
[ 12056.449] 18: /usr/lib/xorg/modules/libexa.so (0x7fd34826e000+0xd230) [0x7fd34827b230]
[ 12056.449] 19: /usr/bin/X (0x400000+0xdc880) [0x4dc880]
[ 12056.449] 20: /usr/bin/X (0x400000+0xd1ce8) [0x4d1ce8]
[ 12056.449] 21: /usr/bin/X (0x400000+0x3f979) [0x43f979]
[ 12056.449] 22: /usr/bin/X (0x400000+0x2187b) [0x42187b]
[ 12056.449] 23: /lib/libc.so.6 (__libc_start_main+0xfe) [0x7fd34b0e5d8e]
[ 12056.449] 24: /usr/bin/X (0x400000+0x21409) [0x421409]

I'm unwilling to try the suggested downgrade of gdm since others have reported that it didn't fix anything for them.

funicorn (funicorn) wrote :
Download full text (4.4 KiB)

Sadly it's 11.04 now. I still suffered from this bug. I am working on Ubuntu 11.04 Beta2 with nouveau 3D driver.
The system halts any time.

Here is part of Xorg.0.log

[ 25.681] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 25.681] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 25.681] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 26.019] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 26.019] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 26.019] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 26.376] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 26.376] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 26.376] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 26.712] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 26.712] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 26.712] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 37.241] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 37.241] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 37.241] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 37.577] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 37.577] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 37.577] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 37.912] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 37.912] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 37.912] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 38.248] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 38.248] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 38.248] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 39.901] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12368
[ 39.901] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 39.901] (II) NOUVEAU(0): Modeline "1366x768"x0.0 72.33 1366 1414 1446 1526 768 770 775 790 -hsync -vsync (47.4 kHz)
[ 22727.289] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 22727.289]
Backtrace:
[ 22727.299] 0: /usr/bin/X (xorg_backtrace+0x26) [0x4a2626]
[ 22727.299] 1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a18e4]
[ 22727.299] 2: /usr/bin/X (xf86PostMotionEventM+0x97) [0x47d767]
[ 22727.299] 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f3a69e9e000+0x5ff3) [0x7f3a69ea3ff3]
[ 22727.299] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f3a69e9e000+0x668d) [0x7f3a69ea468d]
[ 22727.299] 5: /usr/bin/X (0x400000+0x6c657) [0x46c657]
[ 22727.299] 6: /usr/bin/X (0x400000+0x124bbe) [0x524bbe]
[ 22727.300] 7: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f3a6f3fc000+0xfc60) [0x7f3a6f40bc60]
[ 22727.300] 8: /lib/x86_64-linux-gnu/libc.so.6 (ioctl+0x7) [0x7f3a6e4042...

Read more...

Same as funicorn. 1-3 time a day, X seems to randomly freeze. The mouse still moves but the screen stays frozen. I'm on a Thinkpad W510 (Intel i7 and Nvidia Quatro card). I was experiencing this on 10.10, and it's still with me after a 11.04 upgrade. Here's the relevant portion of Xorg.0.log:

[ 2071.340] (II) XKB: reuse xkmfile /var/lib/xkb/server-9A8405F3FE0A780485714A4B6DD41909C2CF9F83.xkm
[ 2091.345] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 2091.345]
Backtrace:
[ 2091.385] 0: /usr/bin/X (xorg_backtrace+0x26) [0x4a2626]
[ 2091.385] 1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a18e4]
[ 2091.385] 2: /usr/bin/X (xf86PostButtonEventM+0xaf) [0x47dccf]
[ 2091.386] 3: /usr/bin/X (xf86PostButtonEvent+0xdd) [0x47de9d]
[ 2091.386] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f52629fc000+0x60b6) [0x7f5262a020b6]
[ 2091.386] 5: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f52629fc000+0x668d) [0x7f5262a0268d]
[ 2091.386] 6: /usr/bin/X (0x400000+0x6c657) [0x46c657]
[ 2091.386] 7: /usr/bin/X (0x400000+0x124bbe) [0x524bbe]
[ 2091.386] 8: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f5267ca6000+0xfc60) [0x7f5267cb5c60]
[ 2091.386] 9: /lib/x86_64-linux-gnu/libc.so.6 (ioctl+0x7) [0x7f5266cae297]
[ 2091.386] 10: /lib/x86_64-linux-gnu/libdrm.so.2 (drmIoctl+0x28) [0x7f5265248058]
[ 2091.386] 11: /lib/x86_64-linux-gnu/libdrm.so.2 (drmCommandWrite+0x1b) [0x7f526524a30b]
[ 2091.386] 12: /lib/x86_64-linux-gnu/libdrm_nouveau.so.1 (0x7f5264c05000+0x2b87) [0x7f5264c07b87]
[ 2091.386] 13: /lib/x86_64-linux-gnu/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfe) [0x7f5264c0819e]
[ 2091.386] 14: /lib/x86_64-linux-gnu/libdrm_nouveau.so.1 (0x7f5264c05000+0x1c2d) [0x7f5264c06c2d]
[ 2091.386] 15: /lib/x86_64-linux-gnu/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x1ae) [0x7f5264c0722e]
[ 2091.386] 16: /usr/lib/xorg/modules/libexa.so (0x7f5263f88000+0x9015) [0x7f5263f91015]
[ 2091.386] 17: /usr/lib/xorg/modules/libexa.so (0x7f5263f88000+0xbba1) [0x7f5263f93ba1]
[ 2091.386] 18: /usr/bin/X (0x400000+0xdcab9) [0x4dcab9]
[ 2091.386] 19: /usr/lib/xorg/modules/libexa.so (0x7f5263f88000+0xd1c1) [0x7f5263f951c1]
[ 2091.386] 20: /usr/bin/X (0x400000+0xdc1b5) [0x4dc1b5]
[ 2091.386] 21: /usr/bin/X (0x400000+0xd5638) [0x4d5638]
[ 2091.386] 22: /usr/bin/X (0x400000+0x2e2a9) [0x42e2a9]
[ 2091.387] 23: /usr/bin/X (0x400000+0x21a7e) [0x421a7e]
[ 2091.387] 24: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xff) [0x7f5266befeff]
[ 2091.387] 25: /usr/bin/X (0x400000+0x21629) [0x421629]

Sometimes the first line (xkmfile) appears and sometimes it doesn't. There doesn't seem to be anything in the kern.log around the time of the X crash.

If anybody knows of a workaround, I'm all ears. This is incredibly frustrating!

Same here.

Ubuntu 10.04.
Graphic card: EN210 SILENT/DI/1GD2(LP)

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x28) [0x45fcc8]
1: /usr/bin/X (mieqEnqueue+0x1f4) [0x45b344]
2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x487564]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fe3a98be000+0x53cf) [0x7fe3a98c33cf]
4: /usr/bin/X (0x400000+0x701b7) [0x4701b7]
5: /usr/bin/X (0x400000+0x110263) [0x510263]
6: /lib/libpthread.so.0 (0x7fe3aebed000+0xf8f0) [0x7fe3aebfc8f0]
7: /lib/libc.so.6 (ioctl+0x7) [0x7fe3ad9a4197]
8: /lib/libdrm.so.2 (drmIoctl+0x28) [0x7fe3abf555b8]
9: /lib/libdrm.so.2 (drmCommandWrite+0x1b) [0x7fe3abf5583b]
10: /lib/libdrm_nouveau.so.1 (0x7fe3ab917000+0x2f7d) [0x7fe3ab919f7d]
11: /lib/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfc) [0x7fe3ab91a1bc]
12: /lib/libdrm_nouveau.so.1 (0x7fe3ab917000+0x2166) [0x7fe3ab919166]
13: /lib/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x29c) [0x7fe3ab9194fc]
14: /usr/lib/xorg/modules/libexa.so (0x7fe3aaa72000+0x9555) [0x7fe3aaa7b555]
15: /usr/lib/xorg/modules/libexa.so (0x7fe3aaa72000+0xa0ea) [0x7fe3aaa7c0ea]
16: /usr/bin/X (0x400000+0xd91bb) [0x4d91bb]
17: /usr/lib/xorg/modules/libexa.so (0x7fe3aaa72000+0xb3bd) [0x7fe3aaa7d3bd]
18: /usr/bin/X (0x400000+0xd8bbe) [0x4d8bbe]
19: /usr/bin/X (0x400000+0xcf04e) [0x4cf04e]
20: /usr/bin/X (0x400000+0x4418c) [0x44418c]
21: /usr/bin/X (0x400000+0x261aa) [0x4261aa]
22: /lib/libc.so.6 (__libc_start_main+0xfd) [0x7fe3ad8e4c4d]
23: /usr/bin/X (0x400000+0x25d59) [0x425d59]

dg (dan-g) wrote :

Getting the same on my Lenovo W510.

Ubuntu 11.04 64-bit - uptodate
KDE 4.6.2
Gnome 2.32.0
nvidia-current 270.41.06-0ubuntu1
nouveau 0.0.16+git20110107+b795ca6e-0ubuntu7

I get a hard freeze with mouse cursor still working, and the box normally still SSH-able, if I use:

KDE + Kwin
Gnome + Compiz
and using either nvidia-current (proprietary) or nouveau graphics driver.

Workaround is to use Gnome+Metacity.

Typical trace in Xorg log:
 24110.967] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 24110.967]
Backtrace:
[ 24110.999] 0: /usr/bin/X (xorg_backtrace+0x26) [0x4a2626]
[ 24110.999] 1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a18e4]
[ 24110.999] 2: /usr/bin/X (xf86PostButtonEventM+0xaf) [0x47dccf]
[ 24110.999] 3: /usr/bin/X (xf86PostButtonEvent+0xdd) [0x47de9d]
[ 24110.999] 4: /usr/lib/xorg/modules/input/synaptics_drv.so (0x7f3152885000+0x4c81) [0x7f3152889c81]
[ 24110.999] 5: /usr/lib/xorg/modules/input/synaptics_drv.so (0x7f3152885000+0xb268) [0x7f3152890268]
[ 24110.999] 6: /usr/lib/libutouch-grail.so.1 (grail_pull+0x382) [0x7f31530a5342]
[ 24110.999] 7: /usr/lib/xorg/modules/input/synaptics_drv.so (0x7f3152885000+0xb034) [0x7f3152890034]
[ 24110.999] 8: /usr/lib/xorg/modules/input/synaptics_drv.so (0x7f3152885000+0x6d7e) [0x7f315288bd7e]
[ 24110.999] 9: /usr/bin/X (0x400000+0x6c657) [0x46c657]
[ 24110.999] 10: /usr/bin/X (0x400000+0x124bbe) [0x524bbe]
[ 24110.999] 11: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f3159631000+0xfc60) [0x7f3159640c60]
[ 24110.999] 12: /lib/x86_64-linux-gnu/libc.so.6 (__select+0x13) [0x7f315863a123]
[ 24110.999] 13: /usr/bin/X (WaitForSomething+0x19b) [0x45c76b]
[ 24111.000] 14: /usr/bin/X (0x400000+0x2e032) [0x42e032]
[ 24111.000] 15: /usr/bin/X (0x400000+0x21a7e) [0x421a7e]
[ 24111.000] 16: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xff) [0x7f315857aeff]
[ 24111.000] 17: /usr/bin/X (0x400000+0x21629) [0x421629]

I switched to the proprietary nvidia driver on May 4 (3 weeks ago), and haven't had a freeze since. That's all I changed. It's been heaven.

dg (dan-g) wrote :

Just to be clear, this bug has nothing to do with hardware drivers (nvidia-current, nouveau, fglrx, etc), or even the Ubuntu distribution itself. This bug has been around for years across different X and kernel versions in different distributions (e.g. Redhat etc).

The only effective workaround I know is to disable desktop effects in KWin or Compiz. and regress to using a straight 2D desktop (no transparency, 3D effects etc).

This is a major loss of functionality, especially to use on high-end hardware like my Lenovo W510, so I can't understand why it is apparently getting so little love from upstream Xorg / kernel devs. Sigh.

dg (dan-g) wrote :

Since this bug occurs across multiple distributions AND across multiple graphics hardware AND across multiple drivers, it is clearly a generic Xorg/kernel issue, so I have logged a bug with upstream (Xorg - freedesktop) team - URL is here:

 https://bugs.freedesktop.org/show_bug.cgi?id=38029

Unfortunately, as it keeps on coming up (Google shows this bug has been around for over 2 years), I don't hold out any great hope that it will be fixed at any time, by anybody, despite it effectively preventing use of a MAJOR feature (ie standard 3D Desktop Effects).

TJ (tj) on 2011-07-17
summary: - [Radeon] [Lucid] [mi] EQ overflowing. The server is probably stuck in an
- infinite loop
+ [mi] EQ overflowing. The server is probably stuck in an infinite loop
TJ (tj) on 2011-07-17
description: updated
TJ (tj) wrote :
Download full text (9.4 KiB)

I've been focusing on recreating this bug to capture a full stack backtrace from X over a remote serial gdb session.

The target (system exhibiting the bug) and host (system running the debugger) are connected via a serial-to-USB cable.
(I was also doing it via a network connection but after several crashes where the host's gdb lost contact with the target, I decided to try serial since the hardware interface is much simpler and hopefully less likely to fail if the kernel becomes unstable.)

The steps to reproduce this debugging session are:

On the host, install the debug symbol libraries for the Xorg core and the video driver used on the faulting system.

You may need to install Debug Symbol packages (ddeb) from the Ubuntu ddeb archive for some packages. See https://wiki.ubuntu.com/DebuggingProgramCrash for help on working with debug symbol packages.

In my case the faulting system uses the Radeon driver, so:

sudo apt-get install xserver-xorg-core-dbg xserver-xorg-video-radeon-dbg

In addition you'll likely need the -dbgsym packages for the installed version of libdrm2 and libc6. Use the wiki article referred to above to identify the package version to be installed. In this case I needed:

sudo apt-get install libdrm2-dbgsym=2.4.18-1ubuntu3 libc6-i686-dbgsym=2.11.1-0ubuntu7.8

Unfortunately, libdrm2-dbgsym object files are missing the symbol tables so gdb does not show the symbols for functions in that library:
-----
objdump -t /usr/lib/debug/lib/libdrm.so.2.4.0

/usr/lib/debug/lib/libdrm.so.2.4.0: file format elf32-i386

SYMBOL TABLE:
no symbols

(gdb) symbol /lib/libdrm.so.2
Load new symbol table from "/lib/libdrm.so.2"? (y or n) y
Reading symbols from /lib/libdrm.so.2...Load new symbol table from "/usr/lib/debug/lib/libdrm.so.2.4.0"? (y or n) y
Reading symbols from /usr/lib/debug/lib/libdrm.so.2.4.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
-----

On the target install gdbserver which will act as a proxy for gdb running on the host:

sudo apt-get install gdbserver

On the target configure the serial port baud rate (setserial doesn't appear to do it using baud_base so I use screen). I do this via an SSH session started from the host:

ssh A7M266D

screen /dev/ttyS0 115200,cs8,-ixon,-ixon,istrip
# ... press Ctrl+A then : to get the screen command prompt in the lower-left corner, then type "quit" to exit screen

From the SSH session, on the target start the gdbserver:

sudo gdbserver /dev/ttyS0 --attach $(pidof X)

On the host start gdb and once started connect to the target:

gdb /usr/bin/Xorg
...
(gdb) target remote /dev/ttyUSB0
Remote debugging using /dev/ttyUSB0
Reading symbols from /lib/libudev.so.0...(no debugging symbols found)...done.
...
Loaded symbols for /lib/tls/i686/cmov/libnss_files.so.2
0x00641422 in __kernel_vsyscall ()

At this point gdb has stopped the X server process so it needs to be unfrozen (continued):

(gdb) cont
Continuing.

Now log-in as normal on the target system and start using applications that will trigger the fault.

As anything using 3D acceleration seems to be a candidate you may find that Firefox web browsing is sufficient. We also found that Open Office Draw wil...

Read more...

TJ (tj) on 2011-07-17
Changed in xorg-server (Ubuntu):
assignee: nobody → TJ (intuitivenipple)
status: Confirmed → In Progress
TJ (tj) on 2011-07-18
Changed in linux (Ubuntu):
status: New → Confirmed
assignee: nobody → TJ (intuitivenipple)
TJ (tj) wrote :

After considering that many different video graphics drivers exhibit this fault, I decided to focus on the kernel's DRM (Direct Rendering Manager) code since it is common to all reports.

There has been a lot of change in the DRM code since the Lucid kernel was released with Linux v2.6.32. As a quick check I installed the Natty kernel via the "linux-image-generic-lts-backport-natty" package in the lucid-proposed archive. This contains the Linux v2.6.38 kernel.

So far I've been unable to trigger the fault since booting the v2.6.38 kernel via any of the triggers that were guaranteed to cause the fault with v2.6.32.

I suggest others affected by this fault try the same kernel update to confirm this is a viable solution.

TJ (tj) on 2011-07-18
Changed in linux (Ubuntu):
status: Confirmed → In Progress
TJ (tj) wrote :

I've managed to trigger the fault using kernel v2.6.38 from Natty whilst running the Software Sources update after enabling additional repositories.

I noticed in previous debugging sessions that the DRM_DEBUG messages emitted when enabled in the kernel with

echo 1 | sudo tee /sys/module/drm/parameters/debug

Shows hundreds of calls to radeon_freelist_get() and additionally the reported done_age doesn't increment. E.g:

Jul 18 17:30:55 A7M266D kernel: [27706.636121] [drm:drm_ioctl], pid=923, cmd=0xc0286429, nr=0x29, dev 0xe200, auth=1
Jul 18 17:30:55 A7M266D kernel: [27706.636142] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636153] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636158] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636163] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636168] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636173] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636178] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636184] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636189] [drm:radeon_freelist_get], done_age = 628
Jul 18 17:30:55 A7M266D kernel: [27706.636194] [drm:radeon_freelist_get], done_age = 628

My initial analysis makes me think that there's a logic bug in radeon_cp_get_buffers() that causes it to get stuck in the loop:

 for (i = d->granted_count; i < d->request_count; i++) {
  buf = radeon_freelist_get(dev);
  ...
   d->granted_count++;
 }
 return 0;

I shall be working to obtain more specific details that can lead to an explanation and fix for this.

Dan Kegel (dank) wrote :

FWIW, I saw nearly exactly the same backtrace in a Natty system (using kernel 2.6.38-11-generic-pae) just now:

[214132.465] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[214132.465]
Backtrace:
[214132.465] 0: /usr/bin/X (xorg_backtrace+0x3b) [0x80eab2b]
[214132.465] 1: /usr/bin/X (mieqEnqueue+0x1ab) [0x80e9d0b]
[214132.465] 2: /usr/bin/X (xf86PostMotionEventM+0xbf) [0x80c4b6f]
[214132.481] 3: /usr/lib/xorg/modules/input/evdev_drv.so (0xb4d15000+0x368f) [0xb4d1868f]
[214132.481] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0xb4d15000+0x54e9) [0xb4d1a4e9]
[214132.481] 5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb4d15000+0x5d4d) [0xb4d1ad4d]
[214132.481] 6: /usr/bin/X (0x8048000+0x6b41f) [0x80b341f]
[214132.481] 7: /usr/bin/X (0x8048000+0x12ddb6) [0x8175db6]
[214132.481] 8: (vdso) (__kernel_sigreturn+0x0) [0xb777e400]

(Not sure what triggered it. I'd been using vncviewer, appletviewer, chrome, and cygwin sed.exe in wine.)

dacer (dclemen) wrote :

I have same problem on a Debian Testing Linux AMD64 for a long time ago. I use a nvidia card with nouveau driver. But, all backtraces has /usr/lib/xorg/modules/input/evdev_drv.so or /usr/lib/xorg/modules/input/synaptic_drv.so . Maybe is a keyboard / mouse fault, not graphic card?

Mi backtrace:
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

0: /usr/bin/Xorg (xorg_backtrace+0x26) [0x7f0102d0f4d6]
1: /usr/bin/Xorg (mieqEnqueue+0x191) [0x7f0102cefde1]
2: /usr/bin/Xorg (0x7f0102b8b000+0x65254) [0x7f0102bf0254]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f00fc58b000+0x5588)
[0x7f00fc590588]
4: /usr/bin/Xorg (0x7f0102b8b000+0x8a947) [0x7f0102c15947]
5: /usr/bin/Xorg (0x7f0102b8b000+0xb052e) [0x7f0102c3b52e]
6: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f0101eb3000+0xf030)
[0x7f0101ec2030]
7: /lib/x86_64-linux-gnu/libc.so.6 (ioctl+0x7) [0x7f0100c8e957]
8: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmIoctl+0x28) [0x7f00ff00ca68]
9: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmCommandWrite+0x1b)
[0x7f00ff00ed5b]
10: /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.1 (0x7f00fe9bd000+0x3197)
[0x7f00fe9c0197]
11: /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109)
[0x7f00fe9c07b9]
12: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0x7f00febc3000+0x7b23)
[0x7f00febcab23]
13: /usr/lib/xorg/modules/libexa.so (0x7f00fe582000+0x4c47) [0x7f00fe586c47]
14: /usr/lib/xorg/modules/libexa.so (0x7f00fe582000+0x82fb) [0x7f00fe58a2fb]
15: /usr/lib/xorg/modules/libexa.so (0x7f00fe582000+0x12a07) [0x7f00fe594a07]
16: /usr/lib/xorg/modules/libexa.so (0x7f00fe582000+0xf0b8) [0x7f00fe5910b8]
17: /usr/bin/Xorg (0x7f0102b8b000+0x114f34) [0x7f0102c9ff34]
18: /usr/lib/xorg/modules/libexa.so (0x7f00fe582000+0x10330) [0x7f00fe592330]
19: /usr/bin/Xorg (0x7f0102b8b000+0x10dbf1) [0x7f0102c98bf1]
20: /usr/bin/Xorg (0x7f0102b8b000+0x51f81) [0x7f0102bdcf81]
21: /usr/bin/Xorg (0x7f0102b8b000+0x411aa) [0x7f0102bcc1aa]
22: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7f0100bdbead]
23: /usr/bin/Xorg (0x7f0102b8b000+0x4149d) [0x7f0102bcc49d]

TJ (tj) on 2012-04-22
Changed in xorg-server (Ubuntu):
assignee: TJ (intuitivenipple) → nobody
Changed in linux (Ubuntu):
assignee: TJ (intuitivenipple) → nobody
Changed in xorg-server (Ubuntu):
status: In Progress → Confirmed
Changed in linux (Ubuntu):
status: In Progress → Confirmed

TJ, thank you for reporting this bug and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
TJ (tj) wrote :
Download full text (8.9 KiB)

The original report was on a desktop with an ATI Radeon video adapter running Lucid. I gave up on that system.

Now, on a Precise amd64 installation on my primary laptop that has an Nvidia GEForce Go 7600 and the nvidia drivers I've hit the same issue several times today (23 April 2012) after early-morning package upgrades.

It seems to be provoked mostly when I switch VTs. Didn't have the problem until today's upgrades.

kern.log helpfully reports:

grep NVRM /var/log/kern.log | sed 's/^.*kernel: \(.*\)$/\1/'
[ 28.442074] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 295.40 Thu Apr 5 21:37:00 PDT 2012
[ 215.646010] NVRM: Xid (0000:01:00): 13, 0002 beef3097 00004097 00000204 00180000 00000020
[ 217.645954] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 219.645963] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 234.364853] NVRM: Xid (0000:01:00): 13, 0002 beef4a01 0000004a 00000404 07800018 00000010
[ 236.364786] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 238.408077] NVRM: Xid (0000:01:00): 13, 0002 beef3097 00004097 00001808 00000000 00000020
[ 240.408030] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 242.515854] NVRM: Xid (0000:01:00): 13, 0002 beef3097 00004097 00000204 00180000 00000020
[ 246.552706] NVRM: Xid (0000:01:00): 13, 0002 beef3097 00004097 00001808 00000000 00000020
[ 248.552658] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 250.597166] NVRM: Xid (0000:01:00): 13, 0002 beef3097 00004097 00000204 00180000 00000020
[ 254.641104] NVRM: Xid (0000:01:00): 13, 0002 beef3097 00004097 00001808 00000000 00000020
[ 256.641050] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 258.729179] NVRM: Xid (0000:01:00): 13, 0002 beef3097 00004097 00000204 00180000 00000020
[ 264.764097] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 273.985109] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 278.040099] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 282.089573] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 286.152939] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 290.213195] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 302.397407] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 316.933763] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 346.117690] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
[ 625.614312] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 295.40 Thu Apr 5 21:37:00 PDT 2012
[ 657.107112] NVRM: Xid (0000:01:00): 13, 0001 bfef0010 0000004a 00000404 05000320 00000010
[ 673.884392] NVRM: Xid (0000:01:00): 13, 0001 bfef0010 0000004a 00000404 05000320 00000010
[ 802.914790] NVRM: Xid (0000:01:00): 13, 0001 bfef0010 0000004a 00000404 05000320 ...

Read more...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

TJ, this report will only focus on the laptop you reported originally. If you have a different problem or laptop, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
no longer affects: xorg-server (Ubuntu)
TJ (tj) wrote :
Download full text (4.3 KiB)

This looks supicious:

grep Vmalloc /proc/meminfo
VmallocTotal: 34359738367 kB
VmallocUsed: 315892 kB
VmallocChunk: 34359411708 kB

uname -a
Linux hephaestion 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Today's updates (from /var/log/apr/history.log):

Start-Date: 2012-04-23 12:17:58
Commandline: apt-get upgrade
End-Date: 2012-04-23 12:24:22

tail -n 4 /var/log/apt/history.log | grep Upgrade | sed 's/),/),\n/g' | sort
 apport:amd64 (2.0.1-0ubuntu5, 2.0.1-0ubuntu6),
 apport-gtk:amd64 (2.0.1-0ubuntu5, 2.0.1-0ubuntu6),
 apport-retrace:amd64 (2.0.1-0ubuntu5, 2.0.1-0ubuntu6),
 apt:amd64 (0.8.16~exp12ubuntu8, 0.8.16~exp12ubuntu10),
 apt-transport-https:amd64 (0.8.16~exp12ubuntu8, 0.8.16~exp12ubuntu10),
 apt-utils:amd64 (0.8.16~exp12ubuntu8, 0.8.16~exp12ubuntu10),
 base-files:amd64 (6.5ubuntu5, 6.5ubuntu6),
 cheese:amd64 (3.4.1-0ubuntu1, 3.4.1-0ubuntu2),
 cheese-common:amd64 (3.4.1-0ubuntu1, 3.4.1-0ubuntu2),
 compiz:amd64 (0.9.7.6-0ubuntu1, 0.9.7.6-0ubuntu2),
 compiz-core:amd64 (0.9.7.6-0ubuntu1, 0.9.7.6-0ubuntu2),
 compiz-gnome:amd64 (0.9.7.6-0ubuntu1, 0.9.7.6-0ubuntu2),
 compiz-plugins:amd64 (0.9.7.6-0ubuntu1, 0.9.7.6-0ubuntu2),
 compiz-plugins-default:amd64 (0.9.7.6-0ubuntu1, 0.9.7.6-0ubuntu2),
 console-setup:amd64 (1.70ubuntu4, 1.70ubuntu5),
 cups-filters:amd64 (1.0.16-0bzr1, 1.0.17-0bzr0.1),
 dkms:amd64 (2.2.0.3-1ubuntu2, 2.2.0.3-1ubuntu3),
 firefox:amd64 (12.0~b5+build1-0ubuntu0.12.04.1~mfn1, 12.0~b6+build1-0ubuntu0.12.04.1~mfn2),
 firefox-globalmenu:amd64 (12.0~b5+build1-0ubuntu0.12.04.1~mfn1, 12.0~b6+build1-0ubuntu0.12.04.1~mfn2),
 firefox-gnome-support:amd64 (11.0+build1-0ubuntu4, 12.0~b6+build1-0ubuntu0.12.04.1~mfn2),
 firefox-locale-en:amd64 (11.0+build1-0ubuntu4, 12.0~b6+build1-0ubuntu0.12.04.1~mfn2),
 gdb:amd64 (7.4-2012.02-0ubuntu2, 7.4-2012.04-0ubuntu1),
 gnome-games-data:amd64 (3.4.1-0ubuntu1, 3.4.1-0ubuntu2),
 gnome-session-bin:amd64 (3.2.1-0ubuntu7, 3.2.1-0ubuntu8),
 gnome-sudoku:amd64 (3.4.1-0ubuntu1, 3.4.1-0ubuntu2),
 gnomine:amd64 (3.4.1-0ubuntu1, 3.4.1-0ubuntu2)
 icedtea-6-jre-cacao:amd64 (6b24-1.11.1-4ubuntu2, 6b24-1.11.1-4ubuntu3),
 icedtea-6-jre-jamvm:amd64 (6b24-1.11.1-4ubuntu2, 6b24-1.11.1-4ubuntu3),
 keyboard-configuration:amd64 (1.70ubuntu4, 1.70ubuntu5),
 libapt-inst1.4:amd64 (0.8.16~exp12ubuntu8, 0.8.16~exp12ubuntu10),
 libapt-pkg4.12:amd64 (0.8.16~exp12ubuntu8, 0.8.16~exp12ubuntu10),
 libc6:amd64 (2.15-0ubuntu9, 2.15-0ubuntu10),
 libc6-dev:amd64 (2.15-0ubuntu9, 2.15-0ubuntu10),
 libc6:i386 (2.15-0ubuntu9, 2.15-0ubuntu10),
 libc6-i386:amd64 (2.15-0ubuntu9, 2.15-0ubuntu10),
 libc-bin:amd64 (2.15-0ubuntu9, 2.15-0ubuntu10),
 libc-dev-bin:amd64 (2.15-0ubuntu9, 2.15-0ubuntu10),
 libcheese3:amd64 (3.4.1-0ubuntu1, 3.4.1-0ubuntu2),
 libcheese-gtk21:amd64 (3.4.1-0ubuntu1, 3.4.1-0ubuntu2),
 libcupsfilters1:amd64 (1.0.16-0bzr1, 1.0.17-0bzr0.1),
 libdecoration0:amd64 (0.9.7.6-0ubuntu1, 0.9.7.6-0ubuntu2),
 liblightdm-gobject-1-0:amd64 (1.2.0-0ubuntu2, 1.2.1-0ubuntu1),
 libpython2.7:amd64 (2.7.3-0ubuntu1, 2.7.3-0ubuntu3),
 libssl1.0.0:amd64 (1.0.1-4ubuntu2, 1.0.1-4ubuntu3),
 libssl1.0.0:i386 (1.0.1-4ubuntu2, 1.0.1-4ubuntu3),
 libusb-1.0-0:amd64 (1.0.9~rc3-2, 1.0.9~rc3-2ub...

Read more...

TJ (tj) wrote :

Cannot current test this on a mainline 3.4.x kernel since the headers don't export x86/include/asm/system.h any longer, and the nvidia DKMS package needs that to build the nvidia kernel module.

TJ, since you no longer have the original hardware that generated this problem this report is being closed. Please file a new bug as previously mentioned. Thanks!

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.